Bug 292771 - don't put CGI scripts in /var/www/cgi-bin
Summary: don't put CGI scripts in /var/www/cgi-bin
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael DeHaan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-17 07:16 UTC by Joe Orton
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 19:25:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-09-17 07:16:23 UTC
Description of problem:
That directory is for user content so package-managed files should not be placed
there.  At the very least, place the cobbler scripts (which do not have
particular unique names) in a /var/www/cgi-bin/cobbler subdirectory.

Version-Release number of selected component (if applicable):
cobbler-0.6.1-2.fc7

Comment 1 Michael DeHaan 2007-09-17 14:37:30 UTC
A cobbler subdirectory can be added for a future release.  





Comment 2 Michael DeHaan 2007-10-30 19:25:40 UTC
Fixed in 0.6.2, though I apparently forgot about closing this BZ...


Note You need to log in before you can comment on or make changes to this bug.